"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
const parseTemplateStr_1 = tslib_1.__importDefault(require("../parseTemplateStr"));
/**
 * 生成README.md文档
 *
 * @param projectPath 项目路径
 * @param options 配置
 */
async function updateREADMEFile(projectPath, options) {
    const readmePath = path_1.resolve(projectPath, 'README.md');
    const content = await fs_extra_1.readFile(readmePath, 'utf-8');
    await fs_extra_1.writeFile(readmePath, parseTemplateStr_1.default(content, Object.assign(Object.assign({}, options), { packageDescription: options.packageDescription ||
            '这是由[ts-lib-scripts](https://github.com/sinoui/ts-lib-scripts)创建的TypeScript库项目。' })));
}
exports.default = updateREADMEFile;
//# sourceMappingURL=updateREADMEFile.js.map